#!/bin/bash
root_path=$(dirname $(cd $(dirname $0);pwd))
source $root_path/bin/library.sh
deploy service-common service-dependencies service-configuration service-forest

configs=(b2a4 b2b1 b2b5 b2b12)
for config in ${configs[*]};
do
  mvn -pl service-launcher clean package -D skipTests -s ~/.m2/settings-development.xml -P $config
  upload $root_path/service-launcher/target/service-launcher-$config-1.0.0-SNAPSHOT.jar
done
